GDCM 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Friends
gdcm::Table Class Reference

Table. More...

`#include <gdcmTable.h>`

List of all members.

## Public Types

typedef std::map< Tag, TableEntry > | MapTableEntry

## Public Member Functions

| Table ()
| ~Table ()
const TableEntry & | GetTableEntry (const Tag &tag) const
void | InsertEntry (Tag const &tag, TableEntry const &te)

## Friends

std::ostream & | operator<< (std::ostream &_os, const Table &_val)

## Detailed Description

Table.

## Member Typedef Documentation

typedef std::map<Tag, TableEntry> gdcm::Table::MapTableEntry

## Constructor & Destructor Documentation

gdcm::Table::Table | ( |  | ) | `[inline]`

gdcm::Table::~Table | ( |  | ) | `[inline]`

## Member Function Documentation

const TableEntry& gdcm::Table::GetTableEntry | ( | const Tag & | tag | ) | const`[inline]`

void gdcm::Table::InsertEntry | ( | Tag const & | tag,
|  | TableEntry const & | te
| ) |  | `[inline]`

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | _os,
|  | const Table & | _val
| ) |  | `[friend]`

The documentation for this class was generated from the following file:

- gdcmTable.h